function showMakeData(str) {
	if (str == "") {
		document.getElementById("txtQueryMake").innerHTML = "";
		return;
	} else { 
		if (window.XMLHttpRequest) {
			// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {
			// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("txtQueryMake").innerHTML = xmlhttp.responseText;
			}
		};
		var queryMake = "select * from vehicle v, make m where m.make = :0 and m.makeID = v.makeID ";
		var checked = false;
		var limited = document.getElementById("limitedMake");
		if(limited.checked) {
		  checked = true;
		} 
		xmlhttp.open("GET","getData.php?q="+queryMake+"&v="+str+"&c="+checked,true);
		xmlhttp.send();
	}
}

function showPriceRangeData(min, max) {
	if (min == "") {
		min = 0;
	} 
	if (max == "") {
		max = 2000000;
	} 
	if (window.XMLHttpRequest) {
		// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {
		// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("txtQueryPrice").innerHTML = xmlhttp.responseText;
		}
	};
	var vars = min+";"+max;
	
	var queryPriceRange = "select * from vehicle where msrp between :0 and :1 order by msrp ";
	var checked = false;
	var limited = document.getElementById("limitedPrice");
	if(limited.checked) {
	  checked = true;
	} 
	xmlhttp.open("GET","getData.php?q="+queryPriceRange+"&v="+vars+"&c="+checked,true);
	xmlhttp.send();
}



function showVehicleBody(str) {
	if (str == "") {
		document.getElementById("txtQueryBody").innerHTML = "";
		return;
	} else { 
		if (window.XMLHttpRequest) {
			// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {
			// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("txtQueryBody").innerHTML = xmlhttp.responseText;
			}
		};
		var checked = false;
		var limited = document.getElementById("limitedBody");
		if(limited.checked) {
		  checked = true;
		} 
		var queryBody = "select * from vehicle v, body b where b.type = :0 and v.bodyID = b.bodyID ";
		xmlhttp.open("GET","getData.php?q="+queryBody+"&v="+str+"&c="+checked,true);
		xmlhttp.send();
	}
}


function showDriveData() {
	var limitedDriveFWD = document.getElementById("limitedDriveFWD");
	var limitedDriveRWD = document.getElementById("limitedDriveRWD");
	var limitedDriveAWD = document.getElementById("limitedDriveAWD");
	var limitedDrive4WD = document.getElementById("limitedDrive4WD");
	
	if (!limitedDriveFWD.checked && !limitedDriveRWD.checked && !limitedDriveAWD.checked && !limitedDrive4WD.checked) {
		document.getElementById("txtQueryDrive").innerHTML = "";
		return;
	} else { 
		if (window.XMLHttpRequest) {
			// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {
			// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("txtQueryDrive").innerHTML = xmlhttp.responseText;
			}
		};

		var list = "";
		var vars = "";
		var counter = 0;
		if (limitedDriveFWD.checked) {
			list =  list.concat("d.drive_train = :"+counter+" or ");
			vars = vars.concat("front wheel drive;");
			counter++;
		}
		if (limitedDriveRWD.checked) {
			list =  list.concat("d.drive_train = :"+counter+" or ");
			vars = vars.concat("rear wheel drive;");
			counter++;
		}
		if (limitedDriveAWD.checked) {
			list =  list.concat("d.drive_train = :"+counter+" or ");
			vars = vars.concat("all wheel drive;");
			counter++;
		}
		if (limitedDrive4WD.checked) {
			list =  list.concat("d.drive_train = :"+counter+" or ");
			vars = vars.concat("four wheel drive;");
			counter++;
		}
		
		list = list.replace(/or\s*$/, "");
		vars = vars.replace(/\;\s*$/, "");
		var queryDrive = "select * from vehicle v, drive_train d where v.driveID=d.driveID AND ("+list+") ";
		
		var checked = false;
		var limited = document.getElementById("limitedDrive");
		if(limited.checked) {
		  checked = true;
		} 
		xmlhttp.open("GET","getData.php?q="+queryDrive+"&v="+vars+"&c="+checked,true);
		xmlhttp.send();
	}
}

function showMakeModelData(make, model) {
	if (make == "") {
		make = "Toyota";
	} 
	if (model == "") {
		model = "camry";
	} 
	if (window.XMLHttpRequest) {
		// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp = new XMLHttpRequest();
	} else {
		// code for IE6, IE5
		xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange = function() {
		if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
			document.getElementById("txtQueryMakeModel").innerHTML = xmlhttp.responseText;
		}
	};
	
	var queryMakeModel = "select assembly.assembly_name, assembly.street, assembly.city, assembly.state, assembly.zipcode, assembly.phone from assembly, model,assembly_model, make where make.makeID=model.makeID AND make.make=:0 AND model.model=:1 AND model.modelID=assembly_model.modelID AND assembly_model.assemblyID=assembly.assemblyID ";
	var vars = make+";"+model;
	var checked = false;
	var limited = document.getElementById("limitedMakeModel");
	if(limited.checked) {
	  checked = true;
	} 
	xmlhttp.open("GET","getData.php?q="+queryMakeModel+"&v="+vars+"&c="+checked,true);
	xmlhttp.send();
}

function showAllData(str) {
	if (str == "") {
		document.getElementById("txtAll").innerHTML = "";
		return;
	} else { 
		if (window.XMLHttpRequest) {
			// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {
			// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("txtAll").innerHTML = xmlhttp.responseText;
			}
		};
		var checked = false;
		var limited = document.getElementById("limitedAll");
		if(limited.checked) {
		  checked = true;
		} 
		xmlhttp.open("GET","getData.php?q="+str+"&v= &c="+checked,true);
		xmlhttp.send();
	}
}

function showStarData(str) {
	if (str == "") {
		document.getElementById("txtStar").innerHTML = "";
		return;
	} else { 
		if (window.XMLHttpRequest) {
			// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp = new XMLHttpRequest();
		} else {
			// code for IE6, IE5
			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange = function() {
			if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
				document.getElementById("txtStar").innerHTML = xmlhttp.responseText;
			}
		};
		var checked = false;
		var limited = document.getElementById("limitedStar");
		if(limited.checked) {
		  checked = true;
		} 
		xmlhttp.open("GET","getData.php?q="+str+"&v= &c="+checked,true);
		xmlhttp.send();
	}
}

function initMap() {
	var mapProp = {
		center:new google.maps.LatLng(40.035842, -98.841087),
		zoom:4,
		mapTypeId:google.maps.MapTypeId.ROADMAP
	};
	var map=new google.maps.Map(document.getElementById("map"),mapProp);
	
	//markers and infoWindows
	var a10VNAG = '<p>Jefferson North Assembly <br/>'+
	'2101 Conner Avenue	<br/>'+
	'Detroit	Michigan 48215 <br/>'+
	'(313)956-7729</p>';

	var iw10VNAG = new google.maps.InfoWindow({
	content: a10VNAG
	});
	var latLng = new google.maps.LatLng(42.373053, -82.967242);
	var m10VNAG = new google.maps.Marker({
		position: latLng,
		map: map, icon: 'markers/blue-dot.png'
	});
	m10VNAG.addListener('click', function() {
		iw10VNAG.open(map, m10VNAG);
	});
	
	var a6C1570 = '<p>Arlington Assembly<br/>'+
	'2525 E Abram<br/>'+
	'Arlington	Texas	76010<br/>'+
	'817-652-2200</p>';

	var iw6C1570 = new google.maps.InfoWindow({
	content: a6C1570
	});
	var latLng = new google.maps.LatLng(32.736615, -97.066009);
	var m6C1570 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6C1570.addListener('click', function() {
			   iw6C1570.open(map, m6C1570);
	});
	
	var aCC1570 = '<p>Bowling Green Assembly<br/>'+
	'600 Corvette Dr<br/>'+
	'Bowling Green	Kentucky	42101<br/>'+
	'270-745-8000</p>';

	var iwCC1570 = new google.maps.InfoWindow({
		content: aCC1570
	});
	var latLng = new google.maps.LatLng(37.009031, -86.364989);
	var mCC1570 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mCC1570.addListener('click', function() {
			   iwCC1570.open(map, mCC1570);
	});

	var aTC1570 = '<p>Lansing Delta Township Assembly<br/>'+
	'8175 Millett Hwy<br/>'+
	'Lansing	Michigan	48921<br/>'+
	'517-721-3900</p>';

	var iwTC1570 = new google.maps.InfoWindow({
	content: aTC1570
	});
	var latLng = new google.maps.LatLng(42.694985, -84.677298);
	var mTC1570 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mTC1570.addListener('click', function() {
			   iwTC1570.open(map, mTC1570);
	});
	
	var a4R1452 = '<p>Lordstown Assembly<br/>'+
	'2300 Hallock-Young Rd.<br/>'+
	'Warren	Ohio	44481<br/>'+
	'330-824-5220</p>';

	var iw4R1452 = new google.maps.InfoWindow({
	content: a4R1452
	});
	var latLng = new google.maps.LatLng(41.148143, -80.873333);
	var m4R1452 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4R1452.addListener('click', function() {
			   iw4R1452.open(map, m4R1452);
	});
	
	var aTV1452 = '<p>Orion Assembly<br/>'+
	'4555 Giddings Road<br/>'+
	'Lake Orion	Michigan	48359<br/>'+
	'248-377-5260</p>';

	var iwTV1452 = new google.maps.InfoWindow({
	content: aTV1452
	});
	var latLng = new google.maps.LatLng(42.715796, -83.260124);
	var mTV1452 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mTV1452.addListener('click', function() {
			   iwTV1452.open(map, mTV1452);
	});
	
	var a6K1570 = '<p>Spring Hill Manufacturing<br/>'+
	'100 Saturn Parkway<br/>'+
	'Spring Hill	Tennessee	37174<br/>'+
	'931-486-5440</p>';

	var iw6K1570 = new google.maps.InfoWindow({
	content: a6K1570
	});
	var latLng = new google.maps.LatLng(35.742187, -86.957513);
	var m6K1570 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6K1570.addListener('click', function() {
			   iw6K1570.open(map, m6K1570);
	});


	var a4ITCG2 = '<p>Flat Rock Assembly Plant<br/>'+
	'1 International Dr.<br/>'+
	' Flat Rock	Michigan	48134<br/>'+
	'800-248-4444</p>';

	var iw4ITCG2 = new google.maps.InfoWindow({
	content: a4ITCG2
	});
	var latLng = new google.maps.LatLng(42.104965, -83.248264);
	var m4ITCG2 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4ITCG2.addListener('click', function() {
			   iw4ITCG2.open(map, m4ITCG2);
	});

	var a6VNAG3 = '<p>Chicago Assembly<br/>'+
	'12600 S Torrance Ave.<br/>'+
	'Chicago	Illinois	60633<br/>'+
	'773-646-3100</p>';

	var iw6VNAG3 = new google.maps.InfoWindow({
	content: a6VNAG3
	});
	var latLng = new google.maps.LatLng(41.663244, -87.56037);
	var m6VNAG3 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6VNAG3.addListener('click', function() {
			   iw6VNAG3.open(map, m6VNAG3);
	});
	
	var a8VNAG5 = '<p>Dearborn Truck<br/>'+
	'3001 Miller Rd.<br/>'+
	'Dearborn	Michigan	48120<br/>'+
	'313-322-3000</p>';

	var iw8VNAG5 = new google.maps.InfoWindow({
	content: a8VNAG5
	});
	var latLng = new google.maps.LatLng(42.313341, -83.164502);
	var m8VNAG5 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m8VNAG5.addListener('click', function() {
			   iw8VNAG5.open(map, m8VNAG5);
	});
	
	var a4INAG2 = '<p>Kansas City Assembly<br/>'+
	'8121 NE 69th Hwy.<br/>'+
	'Claycomo	Missouri	64068<br/></p>';

	var iw4INAG2 = new google.maps.InfoWindow({
	content: a4INAG2
	});
	var latLng = new google.maps.LatLng(39.203542, -94.426471);
	var m4INAG2 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4INAG2.addListener('click', function() {
			   iw4INAG2.open(map, m4INAG2);
	});

	var a6VTTG3 = '<p>Kentucky Truck Plant<br/>'+
	'3001 Chamberlain Ln. <br/>'+
	'Louisville	Kentucky	40241<br/>'+
	'800-392-3673</p>';

	var iw6VTTG3 = new google.maps.InfoWindow({
	content: a6VTTG3
	});
	var latLng = new google.maps.LatLng(38.292972, -85.531438);
	var m6VTTG3 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6VTTG3.addListener('click', function() {
			   iw6VTTG3.open(map, m6VTTG3);
	});

	var a6VNAF3 = '<p>Louisville Assembly Plant<br/>'+
	'2000 Fern Valley Rd.<br/>'+
	'Louisville	Kentucky	40213<br/>'+
	'800-392-3673</p>';

	var iw6VNAF3 = new google.maps.InfoWindow({
	content: a6VNAF3
	});
	var latLng = new google.maps.LatLng(38.153682, -85.710274);
	var m6VNAF3 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6VNAF3.addListener('click', function() {
			   iw6VNAF3.open(map, m6VNAF3);
	});          

	var a4ITCG1 = '<p>Michigan Assembly Plant<br/>'+
	'37625 Michigan Ave.<br/>'+
	'Wayne	Michigan	48184<br/>'+
	'734-467-0500</p>';

	var iw4ITCG1 = new google.maps.InfoWindow({
	content: a4ITCG1

	});
	var latLng = new google.maps.LatLng(42.27829, -83.407559);
	var m4ITCG1 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4ITCG1.addListener('click', function() {
			   iw4ITCG1.open(map, m4ITCG1);
	});  

	var aPINAG8 = '<p>Belvidere Assembly<br/>'+
	'3000 W Chrysler Dr.<br/>'+
	'Belvidere	Illinois	61008<br/>'+
	'815-547-2200</p>';

	var iwPINAG8 = new google.maps.InfoWindow({
	content: aPINAG8

	});
	var latLng = new google.maps.LatLng(42.23711, -88.87028);
	var mPINAG8 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mPINAG8.addListener('click', function() {
			   iwPINAG8.open(map, mPINAG8);
	});   

	var a4MTCG2 = '<p>Conner Avenue Assembly<br/>'+
	'20000 Conner Avenue<br/>'+
	'Detroit	Michigan	48234<br/>'+
	'800-334-9200</p>';

	var iw4MTCG2 = new google.maps.InfoWindow({
	content: a4MTCG2
	});
	var latLng = new google.maps.LatLng(42.419702, -83.013407);
	var m4MTCG2 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4MTCG2.addListener('click', function() {
			   iw4MTCG2.open(map, m4MTCG2);
	});  

	var aRGNAG5 = '<p>Sterling Heights Assembly<br/>'+
	'38111 Van Dyke Ave.<br/>'+
	'Sterling Heights	Michigan	48312<br/>'+
	'800-992-1997</p>';

	var iwRGNAG5 = new google.maps.InfoWindow({
	content: aRGNAG5

	});
	var latLng = new google.maps.LatLng(42.570818, -83.030474);
	var mRGNAG5 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mRGNAG5.addListener('click', function() {
			   iwRGNAG5.open(map, mRGNAG5);
	});   	                
		
	var aDVNAG1 = '<p>Toledo Complex<br/>'+
	'4400 Chrysler Dr.<br/>'+
	'Toledo	Ohio	43608<br/>'+
	'419-727-2800</p>';

	var iwDVNAG1 = new google.maps.InfoWindow({
	content: aDVNAG1

	});
	var latLng = new google.maps.LatLng(41.700021, -83.522522);
	var mDVNAG1 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mDVNAG1.addListener('click', function() {
			   iwDVNAG1.open(map, mDVNAG1);
	});   	                

	var aTESWR1 = '<p>Tesla Factory<br/>'+
	'45500 Fremont Blvd.<br/>'+
	'Fremont	California 	94538<br/>'+
	'888-518-3752</p>';

	var iwTESWR1 = new google.maps.InfoWindow({
	content: aTESWR1

	});
	var latLng = new google.maps.LatLng(37.49265, -121.943351);
	var mTESWR1 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mTESWR1.addListener('click', function() {
			   iwTESWR1.open(map, mTESWR1);
	});   	                

	var a6YNAG4 = '<p>Toyota Motor Manufacturing Kentucky<br/>'+
	'1001 Cherry Blossom Way<br/>'+
	'Georgetown	Kentucky	40324<br/>'+
	'502-868-2000</p>';

	var iw6YNAG4 = new google.maps.InfoWindow({
	content: a6YNAG4

	});
	var latLng = new google.maps.LatLng(38.261032, -84.531763);
	var m6YNAG4 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6YNAG4.addListener('click', function() {
			   iw6YNAG4.open(map, m6YNAG4);
	});   
	
	var a4ICAG9 = '<p>Toyota Motor Manufacturing Indiana<br/>'+
	'4000 Tulip Tree Drive, P.O. Box 4000<br/>'+
	'Princeton	Indiana	47670<br/>'+
	'812-387-2000</p>';

	var iw4ICAG9 = new google.maps.InfoWindow({
	content: a4ICAG9

	});
	var latLng = new google.maps.LatLng(38.294831, -87.557245);
	var m4ICAG9 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m4ICAG9.addListener('click', function() {
			   iw4ICAG9.open(map, m4ICAG9);
	});              

	var a6VNAG4 = '<p>Toyota Motor Manufacturing Texas<br/>'+
	'1 Lone Star Pass<br/>'+
	'San Antonio	Texas	78264<br/>'+
	'210-263-4000</p>';

	var iw6VNAG4 = new google.maps.InfoWindow({
	content: a6VNAG4

	});
	var latLng = new google.maps.LatLng(29.263263, -98.537544);
	var m6VNAG4 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m6VNAG4.addListener('click', function() {
			   iw6VNAG4.open(map, m6VNAG4);
	});      

	var a8VNAF5 = '<p>Toyota Motor Manufacturing Mississippi<br/>'+
	'1200 Magnolia Dr.<br/>'+
	'Blue Springs	Mississippi	38828<br/>'+
	'662-317-3000</p>';

	var iw8VNAF5 = new google.maps.InfoWindow({
	content: a8VNAF5

	});
	var latLng = new google.maps.LatLng(34.381025, -88.895342);
	var m8VNAF5 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	m8VNAF5.addListener('click', function() {
			   iw8VNAF5.open(map, m8VNAF5);
	});    
		
	var aFKWBRW = '<p>Honda of America Manufacturing, Inc. Marysville Auto Plant<br/>'+
	'24000 Honda Pkwy.<br/>'+
	'Marysville	Ohio	43040<br/>'+
	'937-642-5000</p>';

	var iwFKWBRW = new google.maps.InfoWindow({
	content: aFKWBRW

	});
	var latLng = new google.maps.LatLng(40.278754, -83.508379);
	var mFKWBRW = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mFKWBRW.addListener('click', function() {
			   iwFKWBRW.open(map, mFKWBRW);
	});          

	var aAWRU2U = '<p>Honda of America Manufacturing, Inc. East Liberty Auto Plant<br/>'+
	'11000 Ohio 347<br/>'+
	'East Liberty	Ohio	43319<br/>'+
	'937-642-7333</p>';

	var iwAWRU2U = new google.maps.InfoWindow({
	content: aAWRU2U

	});
	var latLng = new google.maps.LatLng(40.329422, -83.550802);
	var mAWRU2U = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mAWRU2U.addListener('click', function() {
			   iwAWRU2U.open(map, mAWRU2U);
	}); 

	var aATYAG7 = '<p>Honda Manufacturing of Alabama, LLC<br/>'+
	'1800 Honda Dr.<br/>'+
	'Lincoln	Alabama	35096<br/>'+
	'205-355-5000</p>';

	var iwATYAG7 = new google.maps.InfoWindow({
	content: aATYAG7

	});
	var latLng = new google.maps.LatLng(33.616103, -86.143753);
	var mATYAG7 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mATYAG7.addListener('click', function() {
			   iwATYAG7.open(map, mATYAG7);
	}); 

	var aVUTDV4 = '<p>Honda Manufacturing of Indiana, LLC<br/>'+
	'2755 N. Michigan Ave.<br/>'+
	'Greensburg	Indiana	47240<br/>'+
	'812-222-6000</p>';

	var iwVUTDV4 = new google.maps.InfoWindow({
	content: aVUTDV4

	});
	var latLng = new google.maps.LatLng(39.370633, -85.542553);
	var mVUTDV4 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mVUTDV4.addListener('click', function() {
			   iwVUTDV4.open(map, mVUTDV4);
	}); 

	var aVQ35DE = '<p>Nissan North America, Inc. Smyrna<br/>'+
	'983 Nissan Dr.<br/>'+
	'Smyrna	Tennessee	37167<br/>'+
	'615-459-1400</p>';

	var iwVQ35DE = new google.maps.InfoWindow({
	content: aVQ35DE

	});
	var latLng = new google.maps.LatLng(35.963378, -86.490464);
	var mVQ35DE = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mVQ35DE.addListener('click', function() {
			   iwVQ35DE.open(map, mVQ35DE);
	}); 

	var aQR25DE = '<p>Nissan North America, Inc. Canton<br/>'+
	'300 Nissan Dr.<br/>'+
	'Canton	Mississippi	39046<br/>'+
	'601-855-6010</p>';

	var iwQR25DE = new google.maps.InfoWindow({
	content: aQR25DE

	});
	var latLng = new google.maps.LatLng(32.572342, -90.070724);
	var mQR25DE = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mQR25DE.addListener('click', function() {
			   iwQR25DE.open(map, mQR25DE);
	}); 
				  
	var aSURBWK = '<p>Subaru of Indiana Automotive, Inc.<br/>'+
	'5500 Indiana 38<br/>'+
	'Lafayette	Indiana	47905<br/>'+
	'765-449-1111</p>';

	var iwSURBWK = new google.maps.InfoWindow({
	content: aSURBWK

	});
	var latLng = new google.maps.LatLng(40.377314, -86.799063);
	var mSURBWK = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mSURBWK.addListener('click', function() {
			   iwSURBWK.open(map, mSURBWK);
	}); 

	var aMEAGE2 = '<p>Mitsubishi Motors North America, Inc. Manufacturing Division<br/>'+
	'100 N. Mitsubishi Motorway<br/>'+
	'Normal	Illinois	61761<br/>'+
	'309-888-8000</p>';

	var iwMEAGE2 = new google.maps.InfoWindow({
	content: aMEAGE2

	});
	var latLng = new google.maps.LatLng(40.517136, -89.059858);
	var mMEAGE2 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mMEAGE2.addListener('click', function() {
			   iwMEAGE2.open(map, mMEAGE2);
	}); 

	var aWGESV6 = '<p>Volkswagen Chattanooga Assembly Plant<br/>'+
	'8001 Volkswagen Dr.<br/>'+
	'Chattanooga	Tennessee	37416<br/>'+
	'423-582-4000</p>';

	var iwWGESV6 = new google.maps.InfoWindow({
	content: aWGESV6

	});
	var latLng = new google.maps.LatLng(35.070877, -85.134901);
	var mWGESV6 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mWGESV6.addListener('click', function() {
			   iwWGESV6.open(map, mWGESV6);
	}); 

	var aBR2ZIK = '<p>Hyundai Motor Manufacturing Alabama<br/>'+
	'700 Hyundai Blvd.<br/>'+
	'Montgomery	Alabama	36105<br/>'+
	'334-387-8000</p>';

	var iwBR2ZIK = new google.maps.InfoWindow({
	content: aBR2ZIK

	});
	var latLng = new google.maps.LatLng(32.281858, -86.327566);
	var mBR2ZIK = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mBR2ZIK.addListener('click', function() {
			   iwBR2ZIK.open(map, mBR2ZIK);
	}); 

	var aKHWIAJ= '<p>Kia Motors Manufacturing Georgia<br/>'+
	'7777 Kia Pkwy.<br/>'+
	'West Point	Georgia	31833<br/>'+
	'706-902-7777/p>';

	var iwKHWIAJ= new google.maps.InfoWindow({
	content: aKHWIAJ

	});
		 
	var latLng = new google.maps.LatLng(32.917586, -85.120278);
	var mKHWIAJ = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mKHWIAJ.addListener('click', function() {
			   iwKHWIAJ.open(map, mKHWIAJ);
	}); 

	var aBMWCT1 = '<p>BMW US Manufacturing Company, LLC<br/>'+
	'1400 Hwy 101 S.<br/>'+
	'Greer	South Carolina	29651<br/>'+
	'864-989-6000/p>';

	var iwBMWCT1 = new google.maps.InfoWindow({
	content: aBMWCT1
	});
		 
	var latLng = new google.maps.LatLng(34.898344, -82.171294);
	var mBMWCT1 = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mBMWCT1.addListener('click', function() {
			   iwBMWCT1.open(map, mBMWCT1);
	});                 

	var aMCBENZ = '<p>Mercedes-Benz U.S. International, Inc.<br/>'+
	'1 Mercedes Dr.<br/>'+
	'Vance	Alabama	35490<br/>'+
	'205-507-3300/p>';

	var iwMCBENZ = new google.maps.InfoWindow({
	content: aMCBENZ
	});
		 
	var latLng = new google.maps.LatLng(33.183258, -87.257463);
	var mMCBENZ = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mMCBENZ.addListener('click', function() {
			   iwMCBENZ.open(map, mMCBENZ);
	});    

	var aMCBESP = '<p>Daimler Vans Manufacturing, LLC.<br/>'+
	'8501 Palmetto Commerce Pkwy.<br/>'+
	'Ladson	South Carolina	29456<br/>'+
	'843-695-5000/p>';

	var iwMCBESP = new google.maps.InfoWindow({
	content: aMCBESP
	});
		 
	var latLng = new google.maps.LatLng(32.964018, -80.107573);
	var mMCBESP = new google.maps.Marker({
			   position: latLng,
			   map: map, icon: 'markers/blue-dot.png'
	});
	mMCBESP.addListener('click', function() {
			   iwMCBESP.open(map, mMCBESP);
	});               
}
google.maps.event.addDomListener(window, 'load', initMap);